{% load staticfiles %}

<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <!--link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous"-->

   <title>{% block title %}{% endblock %}</title>

	<link href="{% static  'bootstrap4/css/bootstrap.min.css' %}" rel="stylesheet">
  <!-- Activar todos los JavaScript de Bootstrap -->
  <script type="text/javascript" src="{% static 'bootstrap4/js/bootstrap.min.js' %}"></script>
  <!-- -->
   <script type="text/javascript" src="{% static 'bootstrap4/js/jquery.js' %}"></script>

   <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
   <script src="//netdna.bootstrapcdn.com/bootstrap/3.1.1/js/bootstrap.min.js"></script>
   <link rel="stylesheet" type="text/css" href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css">


  </head>
  <body>

    <script type="text/javascript" src="{% static 'js/jquery.js' %}"></script>
    <script type="text/javascript" src="{% static 'js/bootstrap.min.js' %}"></script>
    <!--Use estos <scripts> porque los normales no funcionaba el dropdown ^^^ -->

    </script>

  {% include "navbar.html" %}

      {% if request.user.is_authenticated %}

      {% else %}
          <a href="{% url 'signup' %}">SignUp</a>
      {% endif %}

    {% block content %}




	{% endblock %}

    <!-- Optional JavaScript -->

    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <!--script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script-->
    <!--script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script-->
    <!--script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script-->




    <script type="text/javascript">
      $(document).ready(function(){
        console.log("Working")
        var searchInput = $("#nav-bar-form input[type=search]")
        var searchQuery;


        searchInput.keyup(function(event){
          searchQuery = $(this).val()
           console.log(searchQuery)
        })


        function doneSearchingTyping(){
          if (searchQuery){
            var url = "/pokedex/search?q=" + searchQuery
            document.location.href = url
          }
        }

      });
    </script>
































  </body>
</html>
